import request from "@/request/index";
import { useNow, useDateFormat } from '@vueuse/core'

const date = useDateFormat(useNow(), 'YYYY-MM-DD').value
// const yesday = useDateFormat((new Date).getTime() - 24 * 60 * 60 * 1000, 'YYYY-MM-DD').value
  
export function GetQygk() {
  return request({
      url: '/ghjg/BasiInfo/getUnit',
      method: "post",
      data: {},
  })
}

export function GetYxdt() {
  return request({
      url: '/DigitalTwin/businessManage/GetTodayDeclareBoatCount',
      method: "post",
      data: {},
  })
}

export function GetZysb() {
  return request({
      url: '/DigitalTwin/businessManage/GetTodayDeclareStatistic',
      method: "post",
      data: {},
  })
}

export function GetZxjc() {
  return request({
      url: '/DigitalTwin/businessManage/GetTodayDeclareBoatState',
      method: "post",
      data: {
        pageIndex: 1,
        pageSize: 10
      }
  })
}

export function GetWggj() {
  return request({
      url: '/DigitalTwin/businessManage/GetWarningInfo',
      method: "post",
      data: {},
  })
}
